Summary:	X.org video driver for Number 9 I128 video adapters
Summary(pl.UTF-8):	Sterownik obrazu X.org dla kart graficznych Number 9 I128
Name:		xorg-driver-video-i128
Version:	1.4.0
Release:	2
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/driver/xf86-video-i128-%{version}.tar.bz2
# Source0-md5:	a980f1b8532ccfe81932580bc4e0f2a0
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.8.0
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
%{?requires_xorg_xserver_videodrv}
Requires:	xorg-xserver-server >= 1.0.99.901
Provides:	xorg-driver-video
Obsoletes:	X11-driver-i128 < 1:7.0.0
Obsoletes:	XFree86-I128
Obsoletes:	XFree86-driver-i128 < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for Number 9 I128 video adapters. It supports PCI
and AGP video cards based on the following I128 chips: I128 rev 1,
I128-II, I128-T2R (Ticket 2 Ride), I128-T2R4 (Ticket 2 Ride IV).

%description -l pl.UTF-8
Sterownik obrazu X.org dla kart graficznych Number 9 I128. Obsługuje
karty PCI i AGP oparte na następujących układach I128: I128 rev 1,
I128-II, I128-T2R (Ticket 2 Ride), I128-T2R4 (Ticket 2 Ride IV).

%prep
%setup -q -n xf86-video-i128-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/i128_drv.so
%{_mandir}/man4/i128.4*
%changelog
* Sun Oct 31 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-video-i128.git;a=log;h=master

* Sun Oct 31 2021 Jan Rękorajski <baggins@pld-linux.org> deda237
- rebuil with xorg-xserver-server 21.1.0

* Sun Dec 09 2018 Jakub Bogusz <qboosh@pld-linux.org> d480772
- updated to 1.4.0
- removed obsolete build patch

* Mon May 14 2018 Jan Rękorajski <baggins@pld-linux.org> da8cf55
- release 11 (by relup.sh)

* Sun Nov 20 2016 Jan Rękorajski <baggins@pld-linux.org> 7e1bef8
- release 10 (by relup.sh)

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> 8718dfb
- release 9 (by relup.sh)

* Thu Feb 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 5664049
- due to xserver 1.17
- release 8 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 7a20f14
- xserver rebuild
- release 7 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 2581d06
- xserver rebuild
- release 6 (by relup.sh)

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> 920ec6b
- release 5 (by relup.sh)

* Tue Mar 12 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 7d7a515
- rel 4; fix build with xserver 1.14

* Mon Mar 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 00491bc
- release 3 (by relup.sh)

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> b73a3e3
- release 2 (by relup.sh)

* Thu Jul 26 2012 Jakub Bogusz <qboosh@pld-linux.org> ef51064
- updated to 1.3.6

* Sat Mar 24 2012 Jakub Bogusz <qboosh@pld-linux.org> 87a0a02
- updated to 1.3.5

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 3522039
- release 6

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 55e8369
- release 5

* Thu Aug 25 2011 Elan Ruusamäe <glen@pld-linux.org> d9bd558
- xorg-driver-video virtual for video drivers
- release 4

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 9fc44be
- release 3

* Wed Nov 10 2010 shadzik <shadzik@pld-linux.org> 1377dd9
- rel up

* Sun Aug 29 2010 Jakub Bogusz <qboosh@pld-linux.org> 2471423
- updated deps

